### Function

# ICalGLib Parameter enum_from_string

since: 4.0

#### Declaration [src]

    gint
    i_cal_parameter_enum_from_string (
      const gchar* str
    )

#### Description [src]

Converts a string representation of a parameter enum to a its numeric value.

Available since: 4.0

#### Parameters

`str`

  Type: `const gchar*`

  A string enum value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

An integer representation of the string enum value `str`.